Bug 973233 - sfcbd process SEGV on openlmi lmiusers request
Summary: sfcbd process SEGV on openlmi lmiusers request
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openlmi-providers (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Roman Rakus
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-11 13:58 UTC by Frank Ch. Eigler
Modified: 2013-08-02 03:53 UTC (History)
9 users (show)

Fixed In Version: openlmi-providers-0.0.25-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 975087 (view as bug list)
Environment:
Last Closed: 2013-08-02 03:43:06 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ABRT data dump about crash (317.73 KB, application/gzip)
2013-06-11 13:58 UTC, Frank Ch. Eigler
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 972002 None None None Never

Description Frank Ch. Eigler 2013-06-11 13:58:30 UTC
Created attachment 759643 [details]
ABRT data dump about crash

% rpm -qa openlmi\*
openlmi-indicationmanager-libs-0.0.25-1.fc20.x86_64
openlmi-storage-0.5.1-1.fc20.noarch
openlmi-providers-devel-0.0.25-1.fc20.x86_64
openlmi-logicalfile-0.0.25-1.fc20.x86_64
openlmi-software-0.0.25-1.fc20.noarch
openlmi-tools-0.5-3.fc20.noarch
openlmi-powermanagement-0.0.25-1.fc20.x86_64
openlmi-service-0.0.25-1.fc20.x86_64
openlmi-providers-0.0.25-1.fc20.x86_64
openlmi-hardware-0.0.25-1.fc20.x86_64
openlmi-realmd-0.0.25-1.fc20.x86_64
openlmi-fan-0.0.25-1.fc20.x86_64
openlmi-networking-debuginfo-0.0.8-1.fc20.x86_64
openlmi-account-0.0.25-1.fc20.x86_64
openlmi-providers-debuginfo-0.0.25-1.fc20.x86_64
openlmi-python-0.0.25-1.fc20.noarch
openlmi-indicationmanager-libs-devel-0.0.25-1.fc20.x86_64
openlmi-networking-0.0.8-1.fc20.x86_64

% lmiuser -h localhost -u root -p SOMETHING list-users
SEGV in sfcbd

See also bug #972002

Comment 1 Roman Rakus 2013-06-17 13:28:23 UTC
I can reproduce it. Using yawn there isn't any class visible under root/cimv2. Calling any query across account provider ends in segfault.
Maybe it is bad registration or something. Reinstalling openlmi-account didn't help.

side note: lmiuser and other scripts are not directly included in any package, it is directly from openlmi-tools git repo and is no longer supported/developed.

Comment 2 Roman Rakus 2013-06-17 15:46:48 UTC
We have to find why registration fails when using sblim-sfcb. Anyway, sfcb should smart enough to not to segfault (created duplicate bug for it)

Comment 3 Fedora Update System 2013-06-28 15:49:33 UTC
openlmi-providers-0.0.25-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openlmi-providers-0.0.25-2.fc19

Comment 4 Fedora Update System 2013-06-29 18:51:43 UTC
Package openlmi-providers-0.0.25-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openlmi-providers-0.0.25-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11952/openlmi-providers-0.0.25-2.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-07-01 07:30:55 UTC
openlmi-providers-0.0.25-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openlmi-providers-0.0.25-2.fc18

Comment 6 Fedora Update System 2013-07-26 11:16:40 UTC
openlmi-providers-0.0.25-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openlmi-providers-0.0.25-3.fc19

Comment 7 Fedora Update System 2013-07-26 11:39:09 UTC
openlmi-providers-0.0.25-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openlmi-providers-0.0.25-3.fc18

Comment 8 Fedora Update System 2013-08-02 03:43:06 UTC
openlmi-providers-0.0.25-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-08-02 03:53:30 UTC
openlmi-providers-0.0.25-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.